"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = scroller;

var _scrollToElement = _interopRequireDefault(require("scroll-to-element"));

// Copyright (c) 2021 Visiosto oy
// Licensed under the MIT License
// Based on code by Chase Ohlson.
// Original code is available at https://github.com/brohlson/gatsby-plugin-anchor-links.
function scroller(target, offset = 0, duration = 1000, ease = 'in-out-quint') {
  (0, _scrollToElement.default)(target, {
    duration,
    offset,
    ease
  });
}